Subject: How do I get RFC nroff sources?

From: Iain Calder <[email-masked]>
Date: Sat, 29 Sep 2007 15:59:26 -0400

This is probably an FAQ but I have not found the answer
anywhere.  Is it possible to obtain the RFC nroff sources
rather than the formatted files?  I don't print RFCs,
so I want to generate copies without page breaks for
on-screen viewing.

I wrote the obligatory shell script to remove the headers,
footers, form feeds and extraneous white space, but RFCs
from different times are formatted to different page
lengths and have other cosmetic differences, so my script
depends on manual verification and adjustment.

I searched hard for a publicly available tool, but only
found GUI products (one commercial, one GPL'd) which
display the documents in their own IDE (they too seem to
work backwards, starting from the formatted files).

If the nroff sources are unavailable to the public,
surely the IETF's ftp servers could at least maintain
a re-formatting tool to save everyone from re-inventing
the wheel?  Ideally a small but accurately tuned filter
that doesn't force its own viewer on you or depend on a
megabyte-sized Perl executable?

-ic
--
Iain Calder  ic56.rogers.com.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf